Guandata Open Platform
8.3.0
  • 8.3.0
  • 8.2.0
HomeWebsiteChinese version
Docs
  • Help Center
  • Guandata Academy
HomeWebsiteChinese version
Docs
  • Help Center
  • Guandata Academy
8.3.0
  • 8.3.0
  • 8.2.0
  1. Datasets
  • Users
    • Batch Create Users
      POST
    • Batch Delete Users
      POST
    • Batch Update User Attributes
      POST
    • Batch Check Users Exist
      POST
    • Get Users by Attribute Value
      POST
    • Get User List
      POST
    • Get User Information via loginId
      POST
    • Modify User Status
      POST
  • Developer Guide
    • Token Authentication
    • Common Concepts
  • Datasets
    • Clear Dataset Data
      GET
    • Update Dataset Using Parquet File
      GET
    • Get Dataset List
      POST
    • Modify Dataset Path
      POST
    • Delete Dataset
      POST
    • Search Dataset List
      POST
    • Query Dataset Schema
      POST
    • Batch Update Dataset Update Mode
      POST
    • Get Users with Access Permission for Dataset
      POST
    • Upload Dataset
      POST
    • Get Dataset Download Authorization Token
      GET
    • Download Dataset Data
      POST
    • Get Dataset Data
      POST
    • Create Dataset
      POST
    • Update Dataset Field Comments
      POST
    • Trigger Dataset to Read Data File and Update
      GET
    • Query Dataset Update Result by TaskID
      GET
    • Modify Dataset Schema
      POST
    • Update Dataset
      POST
    • Modify Dataset Field Alias
      POST
    • Modify Dataset Name
      POST
    • Dataset Preview
      POST
    • Modify SQL Model Structure
      POST
    • Get Dataset Folder List
      POST
    • Batch Query Dataset Basic Information
      POST
    • Batch Query Dataset Permissions
      POST
  • Dashboards
    • Get Dashboard/Page List
    • Search Pages by Name Keyword
    • Get Users with Read Permission for Page
    • Get Page List in Tree Structure
    • Export Dashboard as PDF or Image
    • Get Dashboard Export File
    • Get Page Basic Information
    • Get Page Information
    • Get Dashboard Smart Insights
  • Cards
    • Get Card Data
    • Create Card Based on Dataset (Random ID)
    • Get Card Insight Agent
  • Subscriptions and Alerts
    • Query Subscription List
    • Query Alert List
    • Query Notification Sending History
    • Download Custom Channel Push File
    • Enable/Disable Subscription
    • Enable/Disable Alert
  • Permissions
    • Get Pages Accessible by User
    • Get Datasets Accessible by User
    • Modify User Page Access and Ownership
    • Modify User Dataset Access and Ownership
    • Get Pages Accessible by User Group
    • Get Datasets Accessible by User Group
    • Modify User Group Page Access and Ownership
    • Modify User Group Dataset Access and Ownership
    • General Resource Permission Grant and Revoke
    • Grant Resource Permissions to User or User Group
    • Revoke Resource Permissions from User or User Group
  • Resource Operations
    • Migrate Resources with Owner Permission from Specified User
    • Migrate Resources with Owner Permission from User Group
    • Generic Resource List
  • Card Exports
    • Card Export API Guide
    • Public API Card Export
    • Public API Task Status Polling
    • Public API Card Export File Download
  • Sessions
    • Session Create or Update
    • Query Dataset Session Configuration
  • Folders
    • Create Folder
    • Modify Folder Directory
    • Delete Folder
    • Add Folder Permission
    • Delete Folder Permission
    • Batch Query Folder Permissions
  • Data Accounts
    • Create Data Account
  • Authentication
    • User Login
    • Login via loginId
    • User Logout
  • User Management
    • User Management Overview
    • User Groups
      • Batch Create User Groups
      • Batch Modify User Groups
      • Delete User Group
      • Get User Group List
      • Add Single User Group
      • Delete User Group V2
    • User Group Members
      • Add Users to User Group
      • Remove User from User Group
      • Get Direct Users Under User Group
      • Get Direct User Groups of User
    • Roles
      • Query Role Information for User
      • Add Custom Role for User
      • Unbind Custom Roles for User
    • User Linked Accounts
      • Linked Account Configuration Guide
      • Configure User External Associated Account
      • Delete User Associated Account
      • Query User External Linked Accounts
  • System Related
    • Get Monitoring Information
  • Metric Center
    • Get Metric Project
    • Get Folders Under Metric Project
    • Get Metrics Under Project and Folder
    • Get Metric Details
  • Lineage
    • Query Resource Lineage
    • Query Field Lineage
  • Insight Agent
    • Create Insight Agent Task
    • Query Conversation Details
  1. Datasets

Query Dataset Schema

POST
/public-api/data-source/{dsId}/columns
API Description
Query the schema of a specified Dataset.
Note: Body cannot be empty; at least two curly braces {} must be provided, otherwise an error will occur.

Request

Path Params

Header Params

Body Params application/json

Example
{}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/public-api/data-source//columns' \
--header 'X-Auth-Token;' \
--header 'Content-Type: application/json' \
--data-raw '{}'

Responses

🟢200Success
application/json
Body

Example
{
    "result": "ok",
    "response": [
        {
            "name": "id",
            "fdType": "INT",
            "alias": "id333",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "g69d58bb0b3ab4c84bdbf673",
            "metaType": "METRIC",
            "seqNo": 0,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "annotation": "",
            "fdGroupId": "vzYeMhldSzsAysEwrDoxqyVo",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "createDate",
            "fdType": "DATE",
            "alias": "createDate",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "vbfb3ba3fb6104cb193697c5",
            "metaType": "DIM",
            "seqNo": 1,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "annotation": "",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "brand",
            "fdType": "STRING",
            "alias": "brand",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "xa8859a59d4494db9b418cef",
            "metaType": "DIM",
            "seqNo": 2,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "annotation": "",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "shopCode",
            "fdType": "STRING",
            "alias": "shopCode",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "ke509e369f1404e2dacbd56a",
            "metaType": "DIM",
            "seqNo": 3,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "annotation": "",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "brand_category",
            "fdType": "STRING",
            "alias": "brand_category",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "ne887566a58584ebeba7576c",
            "metaType": "DIM",
            "seqNo": 4,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "month_category",
            "fdType": "STRING",
            "alias": "month_category",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "we7028997ede34b00b5d1303",
            "metaType": "DIM",
            "seqNo": 5,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "region_category",
            "fdType": "STRING",
            "alias": "region_category",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "i4266c28d52e54afba997efb",
            "metaType": "DIM",
            "seqNo": 6,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "shopCode_length",
            "fdType": "LONG",
            "alias": "shopCode_length",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "kb6c8f9c6e0d44ea49af324d",
            "metaType": "METRIC",
            "seqNo": 7,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "brand_shop_code_concat",
            "fdType": "STRING",
            "alias": "brand_shop_code_concat",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "r782e198b23af4f4dac8e24b",
            "metaType": "DIM",
            "seqNo": 8,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "shopCode_prefix",
            "fdType": "STRING",
            "alias": "shopCode_prefix",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "lf0035656b4394d4a8fba5a9",
            "metaType": "DIM",
            "seqNo": 9,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "brand_prefix",
            "fdType": "STRING",
            "alias": "brand_prefix",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "jdbecf1cacb384df7b194267",
            "metaType": "DIM",
            "seqNo": 10,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "id_parity",
            "fdType": "STRING",
            "alias": "id_parity",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "ofc93ac9d88b64a82b6d787d",
            "metaType": "DIM",
            "seqNo": 11,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "id_category",
            "fdType": "STRING",
            "alias": "id_category",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "v8c90a7c1aaac4f3e85f8fc7",
            "metaType": "DIM",
            "seqNo": 12,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "brand_length_half",
            "fdType": "DOUBLE",
            "alias": "brand_length_half",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "bc816990e4e664a0c8f9e637",
            "metaType": "METRIC",
            "seqNo": 13,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "shopCode_start_category",
            "fdType": "STRING",
            "alias": "shopCode_start_category",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "u84b4d66985d0480190eaf01",
            "metaType": "DIM",
            "seqNo": 14,
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        },
        {
            "name": "createDate ",
            "fdType": "DOUBLE",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "g56713a142ccd4888bd1aadc",
            "metaType": "METRIC",
            "seqNo": 15,
            "formula": "[scoreUsed]+[amount]",
            "isAggregated": false,
            "calculationType": "normal",
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false,
            "baseFdType": "DOUBLE"
        },
        {
            "name": "Group",
            "fdType": "STRING",
            "dsId": "i3006c6d1e2ca46daaef0a10",
            "fdId": "w8f0293b0c23d4606a2f4b87",
            "metaType": "DIM",
            "seqNo": 17,
            "formula": "{\"consolidation\":{\"sourceFdId\":\"xa8859a59d4494db9b418cef\",\"sourceName\":\"brand\",\"displayAllOthers\":\"group\",\"sourceFdType\":\"STRING\",\"groupType\":\"ITEM\",\"groups\":[{\"groupName\":\"ivp\",\"selectedValues\":[\"Fake\"]},{\"groupName\":\"Others\",\"selectedValues\":[],\"isOtherGroup\":true}]}}",
            "isAggregated": false,
            "calculationType": "normal",
            "consolidation": {
                "sourceFdId": "xa8859a59d4494db9b418cef",
                "sourceName": "brand",
                "displayAllOthers": "group",
                "sourceFdType": "STRING",
                "groupType": "ITEM",
                "groups": [
                    {
                        "groupName": "ivp",
                        "selectedValues": [
                            "Fake"
                        ]
                    },
                    {
                        "groupName": "Others",
                        "selectedValues": [],
                        "isOtherGroup": true
                    }
                ]
            },
            "level": "dataset",
            "isDetectionSensitive": false,
            "isSensitive": false
        }
    ]
}
Modified at 2026-07-15 06:37:29
Previous
Search Dataset List
Next
Batch Update Dataset Update Mode